/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *   (C) 2005 George Wright                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "connecting.h"
#include <kmessagebox.h>
#include <kled.h>
#include <qcolor.h>

ConnectingDialog::ConnectingDialog()
: Connecting_Base() 
{
}

ConnectingDialog::~ConnectingDialog() {
}

void ConnectingDialog::updateStatus(QString stat) {
	label_status->setText(stat);
}

void ConnectingDialog::showError(QString error) {
	label_status->setText(error);
	Led1->setState(KLed::On);
	Led1->setColor(QColor(255,0,0));
	Led2->setState(KLed::On);
	Led2->setColor(QColor(255,0,0));
	Led3->setState(KLed::On);
	Led3->setColor(QColor(255,0,0));
	Led4->setState(KLed::On);
	Led4->setColor(QColor(255,0,0));
}

#include "connecting.moc"
