/*****************************************************************

Copyright (c) 2004 Joseph Wenninger <jowenn@kde.org>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************/


/* This file is a modified version of kdebase/kicker/menuext/konq-profiles/konqy_menu.cpp
   The mentioned AUTHORS file can be found there.
*/
/*****************************************************************

Copyright (c) 1996-2001 the kicker authors. See file AUTHORS.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************/

//#include "konqy_menu.h"
#include "knx_menu.h"
#include <kiconloader.h>
#include <klocale.h>
#include <kglobal.h>
#include <kapplication.h>
#include <krun.h>
#include <kstandarddirs.h>
#include <kio/global.h>
#include <ksimpleconfig.h>
#include <kdebug.h>
#include <qregexp.h>
#include <qfileinfo.h>

#include <kdirlister.h>
#include <qdir.h>

K_EXPORT_KICKER_MENUEXT(knx, KNXMenu)

KNXMenu::KNXMenu(QWidget *parent, const char *name, const QStringList & /*args*/)
: KPanelMenu("", parent, name)
{
    static bool kdeprintIconsInitialized = false;
    if ( !kdeprintIconsInitialized ) {
        KGlobal::iconLoader()->addAppDir("kdeprint");
        kdeprintIconsInitialized = true;
    }
    m_dirLister=new KDirLister();
    m_dirLister->openURL("file:"+QDir::homeDirPath()+"/.nx/config");
   connect(m_dirLister,SIGNAL(newItems( const KFileItemList& )),this,SLOT(initialize()));
   kdDebug()<<"KNXMenu::KNXMenu()"<<endl;
}

KNXMenu::~KNXMenu()
{
}

void KNXMenu::initialize()
{
   if (initialized()) {
	clear();
	m_profiles.clear();
   }
   setInitialized(true);

//   QStringList profiles = KGlobal::dirs()->findAllResources( "data", "konqueror/profiles/*", false, true );
    QStringList profiles=QDir(QDir::homeDirPath()+"/.nx/config").entryList("*.conf");
   m_profiles.resize(profiles.count());
   int id=1;
   QStringList::ConstIterator pEnd = profiles.end();
   for (QStringList::ConstIterator pIt = profiles.begin(); pIt != pEnd; ++pIt )
   {
	if ((*pIt)=="nxclient.conf") continue;
/*      QFileInfo info( *pIt );
      QString profileName = KIO::decodeFileName( info.baseName() );*/
      QString profileName=(*pIt).left((*pIt).length()-5);
      QString niceName=profileName;
/*      KSimpleConfig cfg( *pIt, true );
      if ( cfg.hasGroup( "Profile" ) )
      {
         cfg.setGroup( "Profile" );
         if ( cfg.hasKey( "Name" ) )
            niceName = cfg.readEntry( "Name" );
*/
         insertItem(niceName, id);
         m_profiles[id-1]=(profileName);//profileName;
         id++;
//      }
   }
}

void KNXMenu::slotExec(int id)
{
   QStringList args;
   args<<"--connection"<<m_profiles[id-1];
   kapp->kdeinitExec("knx", args);
}

void KNXMenu::reload()
{
   initialize();
}

#include "knx_menu.moc"

