/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KNX_CONNECTION_
#define _KNX_CONNECTION_

#include <nxc/NXDriver.h>

#include <qobject.h>
#include <qguardedptr.h>
#include <connecting.h>
#include <qdom.h>
#include <qthread.h>

class NXConnectionThread : public QThread {
public:
	virtual void run();
	NXDriver NXDriverInstance;
};

class KNXConnection : public QObject {
	Q_OBJECT
public:	
	KNXConnection();
	virtual ~KNXConnection();
	bool doConnect(const QString&);

	void setNXLogin(const QString& password, const QString& username);

	void abortConnecting();
	void load(const QString& connectionFile);
public slots:
	void output(unsigned int, QString msg);

private:
	NXConnectionThread thread;
	ConnectingDialog *connecting;
//	NXDriver NXDriverInstance;
signals:
	void proxyStarted();
};

#endif

