/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _KNX_CONNECTION_SETTING_DIALOG_
#define _KNX_CONNECTION_SETTING_DIALOG_

#include <kdialogbase.h>
#include <qdom.h>

class KNXConnectionSettingsDialog: public KDialogBase {
	Q_OBJECT
public:
	KNXConnectionSettingsDialog(const QString& path, const QString& config);
	virtual ~KNXConnectionSettingsDialog();
private:
	class ConnectionSettings_base *m_widget;
	QString m_path;
	void load(QString filename);
	void readGeneral(QDomElement&);
	void readVNC(QDomElement&);
	void readWindows(QDomElement&);
	void writeGeneral(QDomElement&);
	void writeVNC(QDomElement&);
	void writeWindows(QDomElement&);
signals:
	void filesModified();
private slots:
	void sessionTypeChanged(int);
	void vncRememberPasswordChanged(bool);
	void winRememberPasswordChanged(bool);
	void winKnxLoginChanged(bool);
	void slotOk();
};

#endif

