/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _LOGIN_DIALOG_
#define _LOGIN_DIALOG_

#include "logindialog_base.h"
#include <kdialogbase.h>

class LoginDialog: public LoginDialog_Base /*KDialogBase*/ {
	Q_OBJECT
public:
	LoginDialog(bool standAlone,bool disableConfiguration, const QString &config);
	~LoginDialog();
	void setStandAlone();
	bool initError() {return m_initError;}
private slots:
	void slotOk();
	void slotCancel();
	void slotSettings();
private:
	//LoginDialog_Base *m_widget;
	class KNXConnection *m_connection;
	bool m_standAlone;
	bool m_exitOnLoss;
	bool m_disableConfiguration;
	bool m_initError;
protected:
	void closeEvent ( QCloseEvent * e );
private slots:
	void connectionLost();
	void enableExitOnConnectionLoss();
	void connectionChanged(const QString &);
	void fillInConnectionCombo();

};


#endif
