/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "winuserpwd.h"
#include "winuserpwd_base.h"
#include <qlabel.h>
#include <klineedit.h>
#include <kmessagebox.h>
#include <klocale.h>

bool WinUserPwd::getData(const QString& connectionname, QString &username, QCString &password) {
	WinUserPwd dialog(connectionname,username,password);
	if (dialog.exec()==QDialog::Accepted) {
		username=dialog.m_widget->username->text();
		password=dialog.m_widget->password->text();
		return true;
	} else return false;
}

WinUserPwd::WinUserPwd(const QString& connectionname, const QString& username, const QCString &password) : 
	KDialogBase(0,0,true,i18n("Windows Login Information - kNX"),KDialogBase::Ok | KDialogBase::Cancel) {
        m_widget=new WinUserPwd_Base(this);
        setMainWidget(m_widget);
	m_widget->infolabel->setText(i18n("<qt>Please enter the login information required by the Windows(tm) terminal server <br>for <b>%1</b></qt>").arg(connectionname));
	m_widget->username->setText(username);
	m_widget->password->setText(password);
}

WinUserPwd::~WinUserPwd() {
}

void WinUserPwd::slotOk() {
	if (m_widget->username->text().isEmpty() || m_widget->password->text().isEmpty()) {
		KMessageBox::sorry(this,i18n("You have to enter a username and a password."));
	} else KDialogBase::slotOk();
}


#include "winuserpwd.moc"
